<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateVehiclesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('vehicles', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('fireStationID');
            $table->string('name', 45);
            $table->string('codename', 45);
            $table->string('brand',45);
            $table->string('registrationNumber', 15);
            $table->integer('productionYear');         
            $table->date('examExpirationDate'); //Data ważności przegladu
            $table->date('insuranceExpirationDate');
            $table->string('driveType',45); //układ napędowy
            $table->string('chassisType',45);   //typ podwozia
            $table->string('bodyProducer',45);  //producent nadwozia
            $table->integer('crewNumber');
            $table->integer('foamAgent');  //Ilość środka pianotwórczego w litrach
            $table->integer('enginePower');  //Moc silnika w kW
            $table->integer('mass');  //Masa całkowita pojazdu
            $table->string('chassisNumber');
            $table->string('engineNumber');
            $table->string('fuelType',45);
            $table->integer('chassisPoductionYear');
            $table->date('entryIntoServiceDate');
            $table->string('fireEnginePumpDescription');// Opis autopompy
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('vehicles');
    }
}
